#include "../../process.h"
#include "../../system.h"
#include "process.h"


static int current_ink_value = 0;
static int wait_refill_ink_value = 0;

static int current_paper_value = 0;
static int wait_refill_paper_value = 0;


// 프로세스 정의
static struct InkPaperStateDatabase ink_paper_state_database = {
    .current_ink_value = &current_ink_value,
    .wait_refill_ink_value = &wait_refill_ink_value,

    .current_paper_value = &current_paper_value,
    .wait_refill_paper_value = &wait_refill_paper_value
};

void init_ink_paper_state_database() {
    printf("Initialization Ink Paper State Database...\t\t");
    set_process(INK_PAPER_STATE_DATABASE, &ink_paper_state_database);
    printf("\033[92m[OK]\033[0m\n");
}