#include <string.h>
#include "process.h"
#include "../../process.h"
#include "../../system.h"

static struct JobInfo jobs_info[JOB_MAX_SIZE];

static struct JobQueue job_queue = {
    .jobs_info = jobs_info
};

void init_job_queue() 
{
    int i;
    printf("Initialization Job Queue...\t\t");
    set_process(JOB_QUEUE, &job_queue);
    
    for ( i = 0 ; i < JOB_MAX_SIZE; i++ ) {
        memset(&jobs_info[i], 0, sizeof(struct JobInfo));
        jobs_info[i].job_id = -1;
    }
        
    printf("\033[92m[OK]\033[0m\n");
}