#pragma once

void init_network_rx_interface();

struct Packet
{
    char *data;
    int length;
    int sock;
};

struct NetworkRxInterface
{
	struct Packet (*get_rx_packet)();
};

#define PACKET_TYPE_REQUEST 0
#define PACKET_TYPE_CANCEL 1
#define PACKET_TYPE_USER_CREATION 2
#define PACKET_TYPE_USER_REMOVAL 3
#define PACKET_TYPE_USER_LISTING 4


#define TYPE_LENGTH 1
#define REQ_ID_LENGTH 4

int _sock_list[64];
