#include "../../../../process.h"
#include "../../../../unittest.h"
#include "process.h"
#include "test.h"
#include "../../../../databases/ink_paper_state_database/process.h"


static void trigger();

// 프로세스 정의
struct ResetWaitRefillInkProcess reset_wait_refill_ink_process = {
    .trigger = trigger
};


void init_reset_wait_refill_ink_process() {
    printf("Initialization Reset Wait Refill Ink Process...\t\t");
    set_process(RESET_WAIT_REFILL_INK_PROCESS, &reset_wait_refill_ink_process);
	SET_UNIT_TEST(RESET_WAIT_REFILL_INK_PROCESS, reset_wait_refill_ink_process_unit_test);
	printf("\033[92m[OK]\033[0m\n");
}

static void trigger() {
    struct InkPaperStateDatabase *db = get_process(INK_PAPER_STATE_DATABASE);

    *(db->wait_refill_ink_value) = 0;
}
