#include "../../../process.h"
#include "../../../system.h"
#include "../../../unittest.h"
#include "process.h"
#include "test.h"
#include "../../../databases/ink_paper_state_database/process.h"


static void trigger(int);

// 프로세스 정의
static struct DecreaseAmountOfInkPaper decrease_amount_of_ink_paper = {
    .trigger = trigger
};


void init_decrease_amount_of_ink_paper() {
    printf("Initialization Decrease Amount of Ink Paper...\t\t");
    set_process(DECREASE_AMOUNT_OF_INK_PAPER, &decrease_amount_of_ink_paper);
	SET_UNIT_TEST(DECREASE_AMOUNT_OF_INK_PAPER, decrease_amount_of_ink_paper_unit_test);
    printf("\033[92m[OK]\033[0m\n");
}

static void trigger(int ink) {
    int paper = 1;
    struct InkPaperStateDatabase *db = get_process(INK_PAPER_STATE_DATABASE);
    
    if ( ink < 0 || paper < 0 ) return;
    
    *(db->current_ink_value) -= *(db->current_ink_value) < ink ? *(db->current_ink_value) : ink;
    *(db->current_paper_value) -= *(db->current_paper_value) < paper ? *(db->current_paper_value) : paper;
}