#include <stdio.h>
#include <string.h>
#include "../../../process.h"
#include "../../../unittest.h"
#include "process.h"
#include "test.h"
#include "../../../databases/ink_paper_state_database/process.h"
#include "../../../databases/job_queue/process.h"

static struct JobInfo test_jobs_info[JOB_MAX_SIZE];

static struct JobQueue test_job_queue = {
    .jobs_info = test_jobs_info
};

static void unit_test_1();


void next_page_unit_test() {
    // 의존성 있는 프로세스 정의 (프로세스에서 호출하는 것들)
    set_process(JOB_QUEUE, &test_job_queue);
    
    // 테스트
    unit_test_1();
}

// 트리거 작동 여부 확인하기
static void unit_test_1() {
    struct NextPage *process = get_process(NEXT_PAGE);
    test_jobs_info[0].current_page = 0;
    
    process->trigger();
    
    unit_test_assert("NPS UTC 5000_012 NEXT_PAGE - unit_test_1", test_jobs_info[0].current_page == 1);
}