#include <sys/types.h>
#include <sys/stat.h>
#include <sys/socket.h>
#include <unistd.h>
#include <netinet/in.h>


int main(int argc, char **argv)
{
    int sockfd;
    int clilen;
    int state;
    int len;
    char buffer[4096];
    
    struct sockaddr_in serveraddr, clientaddr;

    clilen = sizeof(clientaddr);
    sockfd = socket(AF_INET, SOCK_DGRAM, 0);
    if (sockfd < 0)
    {
        perror("socket error : ");
        exit(0);
    }

    bzero(&serveraddr, sizeof(serveraddr));
    serveraddr.sin_family = AF_INET;
    serveraddr.sin_addr.s_addr = htonl(INADDR_ANY);
    serveraddr.sin_port = htons(6700);

    state = bind(sockfd, (struct sockaddr *)&serveraddr, 
        sizeof(serveraddr));
    if (state == -1)
    {
        perror("bind error : ");
        exit(0);
    }
    
    printf("====[Display]====\n");

    while(1)
    {
        // 와~ 정말 예쁘다 ㅋㅋㅋ by Jinho Jeong
        len=recvfrom(sockfd, buffer, 4095, 0, (struct sockaddr *)&clientaddr, &clilen);
        buffer[len] = 0;
        system("clear");
        puts(buffer);
    }
    close(sockfd);
}