#pragma once
#include <stdio.h>

#define JOB_MAX_SIZE 5
#define PRINTING_OR_WAIT 0
#define REMOVING 1

#define JOB_ID_LENGTH 4

void init_job_queue();

struct JobInfo {
    int job_id; // not exist : -1
    int state;
    char user_id[12];
    int current_page;
    int total_page;
    int file_size;
    int fd;
    char *buffer;
};

struct JobQueue {
    struct JobInfo* jobs_info;
};

/*
state 
0: 인쇄 중이나 대기, 시스템 
대기를 의미한다. 
If(is첫번째Job()) { 
 return wait_refill_ink_value 
== 0 && 
wait_refill_paper_value == 
0 ? 인쇄중 : 시스템대기; 
} 
return 대기; 
1: 삭제 중 
*/
