#include <stdlib.h>
#include <string.h>
#include "process.h"
#include "../../process.h"
#include "../../system.h"


struct UserDatabase user_database = {
    .header = NULL,
    .tailer = NULL
};

struct UserInfo v_header;
struct UserInfo v_tailer;


void init_user_database()
{
    printf("Initialization User Database...\t\t");
    set_process(USER_DATABASE, &user_database);

    struct UserInfo *admin = (struct UserInfo *)malloc(sizeof(struct UserInfo));
    memset(admin->user_id, 0, 12);
    memset(admin->user_pw, 0, 12);
    strcpy(admin->user_id, "admin");
    strcpy(admin->user_pw, "admin");
    admin->is_admin = 1;
    admin->prevInfo = &v_header;
    admin->nextInfo = &v_tailer;

    user_database.header = &v_header;
    user_database.tailer = &v_tailer;
    
    v_header.prevInfo = NULL;
    v_header.nextInfo = admin;
    
    admin->prevInfo = &v_header;
    admin->nextInfo = &v_tailer;
    
    v_tailer.prevInfo = admin;
    v_tailer.nextInfo = NULL;
    printf("\033[92m[OK]\033[0m\n");
}
