#include <string.h>
#include "process.h"

void *processes[EOF_PROCESS] = { 0, };
void *processes_save[EOF_PROCESS] = { 0, };


void *get_process(int id) {
	if (id < 0 || id >= EOF_PROCESS) return 0;
	return processes[id];
}

void set_process(int id, void *p) {
	if (id < 0 || id >= EOF_PROCESS) return;
	processes[id] = p;
}


void save_processes() {
	memcpy(processes_save, processes, sizeof(void *) * EOF_PROCESS);
}

void load_processes() {
	memcpy(processes, processes_save, sizeof(void *) * EOF_PROCESS);
}
