#pragma once

enum {
	/* Auth and Dispatch Process */
	AUTH_AND_DISPATCH_CONTROLLER,			// implemented, need test doc
	REQUEST_TO_CANCEL_PRINTING_PROCESS,		// implemented, need test doc
	FAIL_AUTH_DISPATCHER,					// implemented, need test doc
	PRINT_VALIDATION_PROCESS,				// implemented, need test doc


	// User Maintenance
	USER_CREATION_PROCESS,					// Completed doc
	USER_LISTING_PROCESS,					// Completed doc
	USER_REMOVAL_PROCESS,					// Completed doc
	
	
	
	/* HW Stop */
	HW_STOP_INTERFACE,						// Completed doc
	HW_STOP_CONTROLLER,						// Completed doc
	HW_STOP_PROCESS,						// Completed doc




	/* Virtual Refill Process */
	RESET_WAIT_REFILL_INK_PROCESS,			// Completed doc
	RESET_WAIT_REFILL_PAPER_PROCESS,		// Completed doc
	WAIT_REFILL_INK_ADDITION_PROCESS,		// Completed doc
	WAIT_REFILL_PAPER_ADDITION_PROCESS,		// Completed doc
	REFILL_INK_PROCESS,						// Completed doc
	REFILL_PAPER_PROCESS,					// Completed doc
	VIRTUAL_REFILL_INTERFACE,				// Completed doc
	VIRTUAL_REFILL_CONTROLLER,				// Completed doc


	/* Printing Process */
	PRINTING_CONTROLLER,					// Completed doc
	JOB_QUEUE_POP,							// Completed doc
	NEXT_PAGE,								// Completed doc
	DECREASE_AMOUNT_OF_INK_PAPER,			// Completed doc
	SAVE_PRINT_RESULT,						// implemented, need test doc
	/*
		PRINTING CONTROLLER와
		SAVE PRINT RESULT는 예외사항이 거의 존재하지 않으므로
		정상 작동 테스트만 한다.
	*/

	/* View Process */
	SEND_STATUS_PROCESS,					// Completed doc
	LCD_INTERFACE,							// Completed doc
	VIEW_CONTROLLER,						// Completed doc
	/*
		LCD INTERFACE와 VIEW CONTROLLER는
		데이터 흐름만 전달하는 프로세스이므로 진행하지 않겟다.
	*/

	INK_PAPER_STATE_DATABASE,				// Completed
	USER_DATABASE,							// Completed
	JOB_QUEUE,								// Completed
	NETWORK_RX_INTERFACE,					// Completed doc

	NETWORK_TX_INTERFACE,					// implemented, need test
	/*
		NETWORK TX INTERFACE
		이상혁 아저씨가 해야함
	*/
	//////////////////////////////////////////////////////////////////
	EOF_PROCESS
};

void *get_process(int id);
void set_process(int id, void *p);

void save_processes();
void load_processes();
