#include <stdio.h>
#include "../../../../process.h"
#include "../../../../unittest.h"
#include "../../../../interfaces/network_tx_interface/process.h"
#include "../../../../databases/user_database/process.h"
#include "process.h"
#include "test.h"

static int flag = 0;
static const int flag_fail_auth = 1;

static void test_send_packet(){
    flag |= flag_fail_auth;
};

static struct NetworkTxInterface test_network_tx_interface = {
    .send_packet = test_send_packet
};

static struct Packet test_packet = {
       .data = "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0test\0\0\0\0\0\0\0\0scott\0\0\0\0\0\0\0",
       .length = TYPE_LENGTH + REQ_ID_LENGTH + USER_ID_MAX_LENGTH + USER_PW_MAX_LENGTH + USER_ID_MAX_LENGTH + USER_PW_MAX_LENGTH,
       .sock = 0
};

static void unit_test_1();


void fail_auth_dispatcher_unit_test() {
    set_process(NETWORK_TX_INTERFACE, &test_network_tx_interface);
    
    // 테스트
    unit_test_1();
}

// 정상 작동 하는가.
// call send_packet ??
void unit_test_1() {
    struct FailAuthDispatcher *process = get_process(FAIL_AUTH_DISPATCHER);

    process->trigger(&test_packet);
    
    unit_test_assert("NPS UTC 3000_003 FAIL_AUTH_DISPATCHER - unit_test_1", flag == 1);
}
