#pragma once
#include "../../../../interfaces/network_rx_interface/process.h"

void init_print_validation_process();

struct PrintValidationProcess 
{
    int (*_get_empty_job_index)();
    int (*_get_require_ink)(char *, int);
    int (*_get_require_paper)(char *, int);
    int (*_get_job_queue_require_ink)();
    int (*_get_job_queue_require_paper)();
	void (*trigger)(struct Packet *packet);
};