#include <arpa/inet.h>
#include "process.h"
#include "test.h"
#include "../../../../process.h"
#include "../../../../system.h"
#include "../../../../unittest.h"
#include "../../../../databases/job_queue/process.h"


static struct JobInfo test_jobs_info = {

};

static struct JobQueue test_job_queue = {
    .jobs_info = &test_jobs_info
};

static int create_test_client();

static void unit_test_1();

void hw_stop_controller_unit_test() {
    set_process(JOB_QUEUE, &test_job_queue);
    
    test_jobs_info.job_id = 1;
    test_jobs_info.state = 0;
    
    unit_test_1();
}

//정상 작동 테스트
static void unit_test_1() {
    struct HWStopController *process = get_process(HW_STOP_CONTROLLER);
    struct HWStopInterface *interface = get_process(HW_STOP_INTERFACE);
    
    int csock;
    char test_buf[1] = {1};
    if((csock = socket(AF_INET, SOCK_DGRAM, 0)) < 0) return -1;
    
    struct sockaddr_in sa;
    sa.sin_family = AF_INET;
    sa.sin_addr.s_addr = inet_addr("127.0.0.1");
    sa.sin_port = htons(6600);
    
    sendto(csock, test_buf, 1, 0, (struct sockaddr *)&sa, sizeof(sa));
    process->tick();
    
    unit_test_assert("NPS UTC 2000_004 HW_STOP_CONTROLLER - unit_test_1", test_jobs_info.state == 1);
}