#include "process.h"
#include "test.h"
#include "../../../../process.h"
#include "../../../../system.h"
#include "../../../../unittest.h"
#include "../../../../databases/job_queue/process.h"

static void trigger();

struct HWStopProcess hw_stop_process = {
    .trigger = trigger
};

void init_hw_stop_process(){
    printf("Initialization Hw Stop Process...\t\t");
    set_process(HW_STOP_PROCESS, &hw_stop_process);
	SET_UNIT_TEST(HW_STOP_PROCESS, hw_stop_process_unit_test);
	printf("\033[92m[OK]\033[0m\n");
}

static void trigger()
{
    struct JobQueue *job_queue = (struct JobQueue *)get_process(JOB_QUEUE);
    
    if(job_queue->jobs_info[0].job_id != -1) {
        job_queue->jobs_info[0].state = REMOVING;
    }
}
