#include <string.h>
#include "../../../process.h"
#include "../../../unittest.h"
#include "process.h"
#include "test.h"
#include "../../../databases/user_database/process.h"
#include "../../../databases/job_queue/process.h"


static void trigger();

// 프로세스 정의
struct NextPage next_page = {
    .trigger = trigger
};


void init_next_page() {
    printf("Initialization NextPage...\t\t");
    set_process(NEXT_PAGE, &next_page);
	SET_UNIT_TEST(NEXT_PAGE, next_page_unit_test);
	printf("\033[92m[OK]\033[0m\n");
}

static void trigger() {
    struct JobQueue *job_queue = get_process(JOB_QUEUE);
   
    job_queue->jobs_info[0].current_page += 1;
}
